import random


class Card:
    # defining what it means to be a Card

    # __init__ is the constructor
    # a function that sets up a new Card object
    def __init__(self, value, suit):
        self.value = value
        self.suit = suit

    # __repr__ returns the string that is used to print out a Card object
    def __repr__(self):
        if self.value <= 10:
            return str(self.value) + " of " + self.suit
        face = ["Jack", "Queen", "King", "Ace"][self.value - 11]
        return face + " of " + self.suit

deck = []
for value in range(2, 15):
    for suit in ["♣", "♦", "♠", "♥"]:
        deck.append(Card(value, suit))
print("deck of", len(deck), "cards")
random.shuffle(deck)
print(deck[:5])